Page MenuHomePhabricator

Figure out ways to reduce number of edits where the translation unit contains exactly the source text
Open, LowPublic

Description

A large amount of edits that are reverted or deleted on Meta-Wiki is edits where the translations contain exactly the same text as that of the source text. Since these edits are most probably coming from users without the knowledge of how to use the Translate tool properly and mostly for testing purposes, they are deleted or reverted by patrollers almost all the time. This consumes a lot of time from our volunteer editors. In order to reduce this type of edits, one thing that can be done is detecting this sort of edits prior to the edit being saved and figure out whether we can do better in preventing them on the technical side.

  1. On the Translate extension's side, we could utilize MessageChecks and see whether asking for confirmation before saving such edits in Translate interface would have an impact.
  2. Another thing that could be done is adding an AbuseFilter variable when a valid translation unit is edited, which would contain the source text of that unit. This would give the wikis more flexibility by allowing the wikis to choose whether they want to show warnings or completely disallow (this is sort of broken right now - T142291) such edits when certain conditions are met.
  3. Also maybe we need to think a little more about the "Paste source text" button on the tux message editor and see whether things can be done regarding this button to try to reduce this sort of test edits.

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterAdd 'translate_source_text' abuse filter variable

Event Timeline

Glaisher created this task.Aug 6 2016, 9:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2016, 9:27 AM

Change 303372 had a related patch set uploaded (by Glaisher):
Add 'translate_source_text' abuse filter variable

https://gerrit.wikimedia.org/r/303372

Matiia added a subscriber: Matiia.Aug 6 2016, 6:00 PM

Change 303372 merged by jenkins-bot:
Add 'translate_source_text' abuse filter variable

https://gerrit.wikimedia.org/r/303372

@Glaisher would you consider this issue as resolved? If not, could you describe what additional measures you suggest to be implemented?

Glaisher triaged this task as Low priority.Aug 21 2016, 12:40 PM

I had created https://meta.wikimedia.org/wiki/Special:AbuseFilter/125 and it seems to be working there. Since this requires another extension for working, I believe something needs to be implemented directly on the Translate extension before this task can be closed. But triaging as low since there is a mechanism to reduce these now.

He7d3r added a subscriber: He7d3r.Aug 30 2017, 1:10 PM
Daimona added a subscriber: Daimona.

If I understood correctly, the AF part is done.